Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361594 - Review Request: osinfo-db-tools - Tools for managing the osinfo database
Summary: Review Request: osinfo-db-tools - Tools for managing the osinfo database
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1361596
TreeView+ depends on / blocked
 
Reported: 2016-07-29 13:14 UTC by Daniel Berrange
Modified: 2016-08-05 08:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 08:30:11 UTC
itamar: fedora-review+


Attachments (Terms of Use)

Description Daniel Berrange 2016-07-29 13:14:04 UTC
Spec URL: https://berrange.fedorapeople.org/review/osinfo-db-tools/osinfo-db-tools.spec
SRPM URL: https://berrange.fedorapeople.org/review/osinfo-db-tools/osinfo-db-tools-1.0.0-1.fc24.src.rpm
Description: This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization
Fedora Account System Username: berrange

Comment 1 Itamar Reis Peixoto 2016-07-31 19:00:00 UTC
The Group: tag is unnecessary.

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Tags_and_Sections



	file /usr/bin/osinfo-db-validate from install of osinfo-db-tools-1.0.0-1.fc24.x86_64 conflicts with file from package libosinfo-0.3.0-2.fc24.x86_64

	file /usr/share/man/man1/osinfo-db-validate.1.gz from install of osinfo-db-tools-1.0.0-1.fc24.x86_64 conflicts with file from package libosinfo-0.3.0-2.fc24.x86_64

Comment 2 Itamar Reis Peixoto 2016-07-31 19:09:25 UTC
Did you miss an Obsoletes:  line ? 

https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages

Comment 3 Daniel Berrange 2016-08-01 08:52:24 UTC
Ignore those file conflicts - the libosinfo RPM will have an update which removes the conflicting file and adds a dep on osinfo-db-tools, so there is no Obsoletes required either.

Comment 4 Itamar Reis Peixoto 2016-08-02 04:12:45 UTC
Cosmetic Issues by rpmlint / fedora-review tool :
=======
  Note: License file COPYING.LIB is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


< Package Approved >
 ------------------
   \
    \
        .--.
       |o_o |
       |:_/ |
      //   \ \
     (|   f | )
    /'\_   _/`\
    \___)=(___/

Comment 5 Gwyn Ciesla 2016-08-04 13:18:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/osinfo-db-tools


Note You need to log in before you can comment on or make changes to this bug.